---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/ComboBox.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ComboBox.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_COMBO_BOX_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_COMBO_BOX_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Label.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/ListBox.hpp&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">class </span>ComboBoxRenderer;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html">   51</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1Widget.html">Widget</a></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    {</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">   55</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;ComboBox&gt; <a class="code" href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">Ptr</a>; </div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#adc20217bb65fe583580e9b27e6d4ac42">   56</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const ComboBox&gt; <a class="code" href="classtgui_1_1ComboBox.html#adc20217bb65fe583580e9b27e6d4ac42">ConstPtr</a>; </div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>&amp; copy);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>&amp; operator= (<span class="keyword">const</span> <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>&amp; right);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">ComboBox::Ptr</a> create();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">ComboBox::Ptr</a> copy(<a class="code" href="classtgui_1_1ComboBox.html#adc20217bb65fe583580e9b27e6d4ac42">ComboBox::ConstPtr</a> comboBox);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#aa8afad84d7da03d3c3c564bea5c2a423">  111</a></span>&#160;        std::shared_ptr&lt;ComboBoxRenderer&gt; <a class="code" href="classtgui_1_1ComboBox.html#aa8afad84d7da03d3c3c564bea5c2a423">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getFullSize() <span class="keyword">const override</span>;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        <span class="keywordtype">void</span> setItemsToDisplay(std::size_t nrOfItemsInListToDisplay);</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#a3ecdc7186abb23dc919906e6a149e85d">  192</a></span>&#160;        std::size_t <a class="code" href="classtgui_1_1ComboBox.html#a3ecdc7186abb23dc919906e6a149e85d">getItemsToDisplay</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;            <span class="keywordflow">return</span> m_nrOfItemsToDisplay;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        }</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        <span class="keywordtype">bool</span> addItem(<span class="keyword">const</span> sf::String&amp; itemName, <span class="keyword">const</span> sf::String&amp; <span class="keywordtype">id</span> = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;        <span class="keywordtype">bool</span> setSelectedItem(<span class="keyword">const</span> sf::String&amp; itemName);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        <span class="keywordtype">bool</span> setSelectedItemById(<span class="keyword">const</span> sf::String&amp; <span class="keywordtype">id</span>);</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;        <span class="keywordtype">bool</span> setSelectedItemByIndex(std::size_t index);</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;        <span class="keywordtype">void</span> deselectItem();</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;        <span class="keywordtype">bool</span> removeItem(<span class="keyword">const</span> sf::String&amp; itemName);</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;        <span class="keywordtype">bool</span> removeItemById(<span class="keyword">const</span> sf::String&amp; <span class="keywordtype">id</span>);</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;        <span class="keywordtype">bool</span> removeItemByIndex(std::size_t index);</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;        <span class="keywordtype">void</span> removeAllItems();</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;</div><div class="line"><a name="l00347"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#a82862355a497137de939764e3a597790">  347</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1ComboBox.html#a82862355a497137de939764e3a597790">getItemById</a>(<span class="keyword">const</span> sf::String&amp; <span class="keywordtype">id</span>)<span class="keyword"> const</span></div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;            <span class="keywordflow">return</span> m_listBox-&gt;getItemById(<span class="keywordtype">id</span>);</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;        }</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;</div><div class="line"><a name="l00360"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#af8f7f461760840e4bae761102a287137">  360</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1ComboBox.html#af8f7f461760840e4bae761102a287137">getSelectedItem</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;            <span class="keywordflow">return</span> m_listBox-&gt;getSelectedItem();</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;        }</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;</div><div class="line"><a name="l00373"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#a9ecde91db7183ef2684f7750f371c0cc">  373</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1ComboBox.html#a9ecde91db7183ef2684f7750f371c0cc">getSelectedItemId</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;            <span class="keywordflow">return</span> m_listBox-&gt;getSelectedItemId();</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;        }</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;</div><div class="line"><a name="l00385"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#a4ea0825fb8eb27fd8809eadc6eb82c24">  385</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1ComboBox.html#a4ea0825fb8eb27fd8809eadc6eb82c24">getSelectedItemIndex</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;            <span class="keywordflow">return</span> m_listBox-&gt;getSelectedItemIndex();</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;        }</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;        <span class="keywordtype">bool</span> changeItem(<span class="keyword">const</span> sf::String&amp; originalValue, <span class="keyword">const</span> sf::String&amp; newValue);</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;        <span class="keywordtype">bool</span> changeItemById(<span class="keyword">const</span> sf::String&amp; <span class="keywordtype">id</span>, <span class="keyword">const</span> sf::String&amp; newValue);</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;        <span class="keywordtype">bool</span> changeItemByIndex(std::size_t index, <span class="keyword">const</span> sf::String&amp; newValue);</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;</div><div class="line"><a name="l00443"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#ace5bc38808d2fbfcdec2df6c6624d67e">  443</a></span>&#160;        std::size_t <a class="code" href="classtgui_1_1ComboBox.html#ace5bc38808d2fbfcdec2df6c6624d67e">getItemCount</a>()</div><div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;        {</div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;            <span class="keywordflow">return</span> m_listBox-&gt;getItemCount();</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;        }</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;        std::vector&lt;sf::String&gt; getItems();</div><div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;</div><div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;</div><div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;        <span class="keyword">const</span> std::vector&lt;sf::String&gt;&amp; getItemIds();</div><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;</div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;        <span class="keywordtype">void</span> setScrollbar(<a class="code" href="classtgui_1_1Scrollbar.html#abb6fe6c3e98166c60f43ef95536effb3">Scrollbar::Ptr</a> scrollbar);</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;</div><div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;        <a class="code" href="classtgui_1_1Scrollbar.html#abb6fe6c3e98166c60f43ef95536effb3">Scrollbar::Ptr</a> getScrollbar() <span class="keyword">const</span>;</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;</div><div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;</div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;        <span class="keywordtype">void</span> setListBox(<a class="code" href="classtgui_1_1ListBox.html#a0f873523c66e1a2cbd8d9734a1de27fb">ListBox::Ptr</a> listBox);</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;</div><div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;        <a class="code" href="classtgui_1_1ListBox.html#a0f873523c66e1a2cbd8d9734a1de27fb">ListBox::Ptr</a> getListBox() <span class="keyword">const</span>;</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;        <span class="keywordtype">void</span> setMaximumItems(std::size_t maximumItems = 0);</div><div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;</div><div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;</div><div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;        std::size_t getMaximumItems() <span class="keyword">const</span>;</div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;</div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;        <span class="keywordtype">void</span> setTextSize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> textSize);</div><div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getTextSize() <span class="keyword">const</span>;</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;</div><div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;</div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getWidgetOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setParent(<a class="code" href="classtgui_1_1Container.html">Container</a>* parent) <span class="keyword">override</span>;</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;</div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">bool</span> mouseOnWidget(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">const override</span>;</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMousePressed(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseWheelMoved(<span class="keywordtype">int</span> delta, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;</div><div class="line"><a name="l00611"></a><span class="lineno">  611</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00612"></a><span class="lineno">  612</span>&#160;</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;</div><div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;</div><div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00631"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBox.html#ae6703c4cc40b2a76379d554ed1d7ee0b">  631</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1ComboBox.html#ae6703c4cc40b2a76379d554ed1d7ee0b">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00633"></a><span class="lineno">  633</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;ComboBox&gt;(*this);</div><div class="line"><a name="l00634"></a><span class="lineno">  634</span>&#160;        }</div><div class="line"><a name="l00635"></a><span class="lineno">  635</span>&#160;</div><div class="line"><a name="l00636"></a><span class="lineno">  636</span>&#160;</div><div class="line"><a name="l00638"></a><span class="lineno">  638</span>&#160;        <span class="comment">// Shows the list of items.</span></div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> showListBox();</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00644"></a><span class="lineno">  644</span>&#160;        <span class="comment">// Hides the list of items.</span></div><div class="line"><a name="l00646"></a><span class="lineno">  646</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> hideListBox();</div><div class="line"><a name="l00647"></a><span class="lineno">  647</span>&#160;</div><div class="line"><a name="l00648"></a><span class="lineno">  648</span>&#160;</div><div class="line"><a name="l00650"></a><span class="lineno">  650</span>&#160;        <span class="comment">// Initialize the internal list box</span></div><div class="line"><a name="l00652"></a><span class="lineno">  652</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> initListBox();</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;</div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00656"></a><span class="lineno">  656</span>&#160;        <span class="comment">// Called by the internal ListBox when a different item is selected.</span></div><div class="line"><a name="l00658"></a><span class="lineno">  658</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> newItemSelectedCallbackFunction();</div><div class="line"><a name="l00659"></a><span class="lineno">  659</span>&#160;</div><div class="line"><a name="l00660"></a><span class="lineno">  660</span>&#160;</div><div class="line"><a name="l00662"></a><span class="lineno">  662</span>&#160;        <span class="comment">// Called by the internal ListBox when it gets unfocused.</span></div><div class="line"><a name="l00664"></a><span class="lineno">  664</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> listBoxUnfocusedCallbackFunction();</div><div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;</div><div class="line"><a name="l00666"></a><span class="lineno">  666</span>&#160;</div><div class="line"><a name="l00668"></a><span class="lineno">  668</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00670"></a><span class="lineno">  670</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00671"></a><span class="lineno">  671</span>&#160;</div><div class="line"><a name="l00672"></a><span class="lineno">  672</span>&#160;</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;        <span class="comment">// The number of items to display. If there is a scrollbar then you can scroll to see the other.</span></div><div class="line"><a name="l00677"></a><span class="lineno">  677</span>&#160;        <span class="comment">// If there is no scrollbar then this will be the maximum amount of items.</span></div><div class="line"><a name="l00678"></a><span class="lineno">  678</span>&#160;        std::size_t m_nrOfItemsToDisplay = 0;</div><div class="line"><a name="l00679"></a><span class="lineno">  679</span>&#160;</div><div class="line"><a name="l00680"></a><span class="lineno">  680</span>&#160;        <span class="comment">// Internally a list box is used to store all items</span></div><div class="line"><a name="l00681"></a><span class="lineno">  681</span>&#160;        <a class="code" href="classtgui_1_1ListBox.html#a0f873523c66e1a2cbd8d9734a1de27fb">ListBox::Ptr</a> m_listBox = std::make_shared&lt;ListBox&gt;();</div><div class="line"><a name="l00682"></a><span class="lineno">  682</span>&#160;</div><div class="line"><a name="l00683"></a><span class="lineno">  683</span>&#160;        <a class="code" href="classtgui_1_1Label.html">Label</a> m_text;</div><div class="line"><a name="l00684"></a><span class="lineno">  684</span>&#160;</div><div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a>;</div><div class="line"><a name="l00686"></a><span class="lineno">  686</span>&#160;</div><div class="line"><a name="l00688"></a><span class="lineno">  688</span>&#160;    };</div><div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160;</div><div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;</div><div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;</div><div class="line"><a name="l00693"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBoxRenderer.html">  693</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1ComboBoxRenderer.html">ComboBoxRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></div><div class="line"><a name="l00694"></a><span class="lineno">  694</span>&#160;    {</div><div class="line"><a name="l00695"></a><span class="lineno">  695</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00696"></a><span class="lineno">  696</span>&#160;</div><div class="line"><a name="l00703"></a><span class="lineno"><a class="line" href="classtgui_1_1ComboBoxRenderer.html#adaf6d43c1900b5fd1ad2b5a188c68173">  703</a></span>&#160;        <a class="code" href="classtgui_1_1ComboBoxRenderer.html#adaf6d43c1900b5fd1ad2b5a188c68173">ComboBoxRenderer</a>(<a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>* comboBox) : m_comboBox{comboBox} {}</div><div class="line"><a name="l00704"></a><span class="lineno">  704</span>&#160;</div><div class="line"><a name="l00705"></a><span class="lineno">  705</span>&#160;</div><div class="line"><a name="l00716"></a><span class="lineno">  716</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160;</div><div class="line"><a name="l00718"></a><span class="lineno">  718</span>&#160;</div><div class="line"><a name="l00730"></a><span class="lineno">  730</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00731"></a><span class="lineno">  731</span>&#160;</div><div class="line"><a name="l00732"></a><span class="lineno">  732</span>&#160;</div><div class="line"><a name="l00742"></a><span class="lineno">  742</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00743"></a><span class="lineno">  743</span>&#160;</div><div class="line"><a name="l00744"></a><span class="lineno">  744</span>&#160;</div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;</div><div class="line"><a name="l00753"></a><span class="lineno">  753</span>&#160;</div><div class="line"><a name="l00762"></a><span class="lineno">  762</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; backgroundColor);</div><div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;</div><div class="line"><a name="l00764"></a><span class="lineno">  764</span>&#160;</div><div class="line"><a name="l00778"></a><span class="lineno">  778</span>&#160;        <span class="keywordtype">void</span> setArrowBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00779"></a><span class="lineno">  779</span>&#160;</div><div class="line"><a name="l00780"></a><span class="lineno">  780</span>&#160;</div><div class="line"><a name="l00789"></a><span class="lineno">  789</span>&#160;        <span class="keywordtype">void</span> setArrowBackgroundColorNormal(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00790"></a><span class="lineno">  790</span>&#160;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;</div><div class="line"><a name="l00800"></a><span class="lineno">  800</span>&#160;        <span class="keywordtype">void</span> setArrowBackgroundColorHover(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00801"></a><span class="lineno">  801</span>&#160;</div><div class="line"><a name="l00802"></a><span class="lineno">  802</span>&#160;</div><div class="line"><a name="l00816"></a><span class="lineno">  816</span>&#160;        <span class="keywordtype">void</span> setArrowColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00817"></a><span class="lineno">  817</span>&#160;</div><div class="line"><a name="l00818"></a><span class="lineno">  818</span>&#160;</div><div class="line"><a name="l00827"></a><span class="lineno">  827</span>&#160;        <span class="keywordtype">void</span> setArrowColorNormal(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00828"></a><span class="lineno">  828</span>&#160;</div><div class="line"><a name="l00829"></a><span class="lineno">  829</span>&#160;</div><div class="line"><a name="l00838"></a><span class="lineno">  838</span>&#160;        <span class="keywordtype">void</span> setArrowColorHover(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00839"></a><span class="lineno">  839</span>&#160;</div><div class="line"><a name="l00840"></a><span class="lineno">  840</span>&#160;</div><div class="line"><a name="l00847"></a><span class="lineno">  847</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; textColor);</div><div class="line"><a name="l00848"></a><span class="lineno">  848</span>&#160;</div><div class="line"><a name="l00849"></a><span class="lineno">  849</span>&#160;</div><div class="line"><a name="l00856"></a><span class="lineno">  856</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; borderColor);</div><div class="line"><a name="l00857"></a><span class="lineno">  857</span>&#160;</div><div class="line"><a name="l00858"></a><span class="lineno">  858</span>&#160;</div><div class="line"><a name="l00868"></a><span class="lineno">  868</span>&#160;        <span class="keywordtype">void</span> setBackgroundTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00869"></a><span class="lineno">  869</span>&#160;</div><div class="line"><a name="l00870"></a><span class="lineno">  870</span>&#160;</div><div class="line"><a name="l00880"></a><span class="lineno">  880</span>&#160;        <span class="keywordtype">void</span> setArrowUpTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00881"></a><span class="lineno">  881</span>&#160;</div><div class="line"><a name="l00882"></a><span class="lineno">  882</span>&#160;</div><div class="line"><a name="l00892"></a><span class="lineno">  892</span>&#160;        <span class="keywordtype">void</span> setArrowDownTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00893"></a><span class="lineno">  893</span>&#160;</div><div class="line"><a name="l00894"></a><span class="lineno">  894</span>&#160;</div><div class="line"><a name="l00903"></a><span class="lineno">  903</span>&#160;        <span class="keywordtype">void</span> setArrowUpHoverTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00904"></a><span class="lineno">  904</span>&#160;</div><div class="line"><a name="l00905"></a><span class="lineno">  905</span>&#160;</div><div class="line"><a name="l00914"></a><span class="lineno">  914</span>&#160;        <span class="keywordtype">void</span> setArrowDownHoverTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00915"></a><span class="lineno">  915</span>&#160;</div><div class="line"><a name="l00916"></a><span class="lineno">  916</span>&#160;</div><div class="line"><a name="l00923"></a><span class="lineno">  923</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setBorders(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a>&amp; borders) <span class="keyword">override</span>;</div><div class="line"><a name="l00924"></a><span class="lineno">  924</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">WidgetBorders::setBorders</a>;</div><div class="line"><a name="l00925"></a><span class="lineno">  925</span>&#160;</div><div class="line"><a name="l00926"></a><span class="lineno">  926</span>&#160;</div><div class="line"><a name="l00936"></a><span class="lineno">  936</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPadding(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a>&amp; padding) <span class="keyword">override</span>;</div><div class="line"><a name="l00937"></a><span class="lineno">  937</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">WidgetPadding::setPadding</a>;</div><div class="line"><a name="l00938"></a><span class="lineno">  938</span>&#160;</div><div class="line"><a name="l00939"></a><span class="lineno">  939</span>&#160;</div><div class="line"><a name="l00946"></a><span class="lineno">  946</span>&#160;        std::shared_ptr&lt;ListBoxRenderer&gt; getListBox() <span class="keyword">const</span>;</div><div class="line"><a name="l00947"></a><span class="lineno">  947</span>&#160;</div><div class="line"><a name="l00948"></a><span class="lineno">  948</span>&#160;</div><div class="line"><a name="l00950"></a><span class="lineno">  950</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00952"></a><span class="lineno">  952</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00953"></a><span class="lineno">  953</span>&#160;</div><div class="line"><a name="l00954"></a><span class="lineno">  954</span>&#160;</div><div class="line"><a name="l00956"></a><span class="lineno">  956</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00957"></a><span class="lineno">  957</span>&#160;</div><div class="line"><a name="l00959"></a><span class="lineno">  959</span>&#160;        <span class="comment">// Returns the padding, which is possibly scaled with the background image.</span></div><div class="line"><a name="l00961"></a><span class="lineno">  961</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1Borders.html">Padding</a> getScaledPadding() <span class="keyword">const</span>;</div><div class="line"><a name="l00962"></a><span class="lineno">  962</span>&#160;</div><div class="line"><a name="l00963"></a><span class="lineno">  963</span>&#160;</div><div class="line"><a name="l00965"></a><span class="lineno">  965</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00967"></a><span class="lineno">  967</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00968"></a><span class="lineno">  968</span>&#160;</div><div class="line"><a name="l00969"></a><span class="lineno">  969</span>&#160;</div><div class="line"><a name="l00971"></a><span class="lineno">  971</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00972"></a><span class="lineno">  972</span>&#160;</div><div class="line"><a name="l00973"></a><span class="lineno">  973</span>&#160;        <a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>* m_comboBox;</div><div class="line"><a name="l00974"></a><span class="lineno">  974</span>&#160;</div><div class="line"><a name="l00975"></a><span class="lineno">  975</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_backgroundTexture;</div><div class="line"><a name="l00976"></a><span class="lineno">  976</span>&#160;</div><div class="line"><a name="l00977"></a><span class="lineno">  977</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureArrowUpNormal;</div><div class="line"><a name="l00978"></a><span class="lineno">  978</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureArrowUpHover;</div><div class="line"><a name="l00979"></a><span class="lineno">  979</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureArrowDownNormal;</div><div class="line"><a name="l00980"></a><span class="lineno">  980</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureArrowDownHover;</div><div class="line"><a name="l00981"></a><span class="lineno">  981</span>&#160;</div><div class="line"><a name="l00982"></a><span class="lineno">  982</span>&#160;        sf::Color m_textColor;</div><div class="line"><a name="l00983"></a><span class="lineno">  983</span>&#160;        sf::Color m_arrowBackgroundColorNormal;</div><div class="line"><a name="l00984"></a><span class="lineno">  984</span>&#160;        sf::Color m_arrowBackgroundColorHover;</div><div class="line"><a name="l00985"></a><span class="lineno">  985</span>&#160;        sf::Color m_arrowColorNormal;</div><div class="line"><a name="l00986"></a><span class="lineno">  986</span>&#160;        sf::Color m_arrowColorHover;</div><div class="line"><a name="l00987"></a><span class="lineno">  987</span>&#160;</div><div class="line"><a name="l00988"></a><span class="lineno">  988</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ComboBox.html">ComboBox</a>;</div><div class="line"><a name="l00989"></a><span class="lineno">  989</span>&#160;</div><div class="line"><a name="l00991"></a><span class="lineno">  991</span>&#160;    };</div><div class="line"><a name="l00992"></a><span class="lineno">  992</span>&#160;</div><div class="line"><a name="l00994"></a><span class="lineno">  994</span>&#160;}</div><div class="line"><a name="l00995"></a><span class="lineno">  995</span>&#160;</div><div class="line"><a name="l00997"></a><span class="lineno">  997</span>&#160;</div><div class="line"><a name="l00998"></a><span class="lineno">  998</span>&#160;<span class="preprocessor">#endif // TGUI_COMBO_BOX_HPP</span></div><div class="line"><a name="l00999"></a><span class="lineno">  999</span>&#160;</div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_a75128d6d549e479c4b455afc77a75f9e"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">tgui::WidgetBorders::setBorders</a></div><div class="ttdeci">virtual void setBorders(const Borders &amp;borders)</div><div class="ttdoc">Changes the size of the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:149</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_a06448dfb10275ea7939c248ddf88f46d"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">virtual void setPadding(const Padding &amp;padding)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:223</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_ae6703c4cc40b2a76379d554ed1d7ee0b"><div class="ttname"><a href="classtgui_1_1ComboBox.html#ae6703c4cc40b2a76379d554ed1d7ee0b">tgui::ComboBox::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:631</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_ace5bc38808d2fbfcdec2df6c6624d67e"><div class="ttname"><a href="classtgui_1_1ComboBox.html#ace5bc38808d2fbfcdec2df6c6624d67e">tgui::ComboBox::getItemCount</a></div><div class="ttdeci">std::size_t getItemCount()</div><div class="ttdoc">Returns the amount of items in the combo box. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:443</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Label_html"><div class="ttname"><a href="classtgui_1_1Label.html">tgui::Label</a></div><div class="ttdoc">Label widget. </div><div class="ttdef"><b>Definition:</b> Label.hpp:49</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_a4ea0825fb8eb27fd8809eadc6eb82c24"><div class="ttname"><a href="classtgui_1_1ComboBox.html#a4ea0825fb8eb27fd8809eadc6eb82c24">tgui::ComboBox::getSelectedItemIndex</a></div><div class="ttdeci">int getSelectedItemIndex() const </div><div class="ttdoc">Get the index of the selected item. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:385</div></div>
<div class="ttc" id="classtgui_1_1Scrollbar_html_abb6fe6c3e98166c60f43ef95536effb3"><div class="ttname"><a href="classtgui_1_1Scrollbar.html#abb6fe6c3e98166c60f43ef95536effb3">tgui::Scrollbar::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Scrollbar &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Scrollbar.hpp:53</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html"><div class="ttname"><a href="classtgui_1_1ComboBox.html">tgui::ComboBox</a></div><div class="ttdoc">Combo box widget. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:51</div></div>
<div class="ttc" id="classtgui_1_1ListBox_html_a0f873523c66e1a2cbd8d9734a1de27fb"><div class="ttname"><a href="classtgui_1_1ListBox.html#a0f873523c66e1a2cbd8d9734a1de27fb">tgui::ListBox::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; ListBox &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> ListBox.hpp:70</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_a82862355a497137de939764e3a597790"><div class="ttname"><a href="classtgui_1_1ComboBox.html#a82862355a497137de939764e3a597790">tgui::ComboBox::getItemById</a></div><div class="ttdeci">sf::String getItemById(const sf::String &amp;id) const </div><div class="ttdoc">Returns the item name of the item with the given id. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:347</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_a3ecdc7186abb23dc919906e6a149e85d"><div class="ttname"><a href="classtgui_1_1ComboBox.html#a3ecdc7186abb23dc919906e6a149e85d">tgui::ComboBox::getItemsToDisplay</a></div><div class="ttdeci">std::size_t getItemsToDisplay() const </div><div class="ttdoc">Returns the number of items that are displayed in the list. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:192</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></div><div class="ttdoc">Parent class for every widget that has padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:210</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_adc20217bb65fe583580e9b27e6d4ac42"><div class="ttname"><a href="classtgui_1_1ComboBox.html#adc20217bb65fe583580e9b27e6d4ac42">tgui::ComboBox::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const ComboBox &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:56</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1Container_html"><div class="ttname"><a href="classtgui_1_1Container.html">tgui::Container</a></div><div class="ttdoc">Container widget. </div><div class="ttdef"><b>Definition:</b> Container.hpp:47</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_af8f7f461760840e4bae761102a287137"><div class="ttname"><a href="classtgui_1_1ComboBox.html#af8f7f461760840e4bae761102a287137">tgui::ComboBox::getSelectedItem</a></div><div class="ttdeci">sf::String getSelectedItem() const </div><div class="ttdoc">Returns the currently selected item. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:360</div></div>
<div class="ttc" id="classtgui_1_1Texture_html"><div class="ttname"><a href="classtgui_1_1Texture.html">tgui::Texture</a></div><div class="ttdef"><b>Definition:</b> Texture.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_a9ecde91db7183ef2684f7750f371c0cc"><div class="ttname"><a href="classtgui_1_1ComboBox.html#a9ecde91db7183ef2684f7750f371c0cc">tgui::ComboBox::getSelectedItemId</a></div><div class="ttdeci">sf::String getSelectedItemId() const </div><div class="ttdoc">Get the id of the selected item. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:373</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_aa8afad84d7da03d3c3c564bea5c2a423"><div class="ttname"><a href="classtgui_1_1ComboBox.html#aa8afad84d7da03d3c3c564bea5c2a423">tgui::ComboBox::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; ComboBoxRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:111</div></div>
<div class="ttc" id="classtgui_1_1Borders_html"><div class="ttname"><a href="classtgui_1_1Borders.html">tgui::Borders</a></div><div class="ttdef"><b>Definition:</b> Borders.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1ComboBoxRenderer_html"><div class="ttname"><a href="classtgui_1_1ComboBoxRenderer.html">tgui::ComboBoxRenderer</a></div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:693</div></div>
<div class="ttc" id="classtgui_1_1ComboBoxRenderer_html_adaf6d43c1900b5fd1ad2b5a188c68173"><div class="ttname"><a href="classtgui_1_1ComboBoxRenderer.html#adaf6d43c1900b5fd1ad2b5a188c68173">tgui::ComboBoxRenderer::ComboBoxRenderer</a></div><div class="ttdeci">ComboBoxRenderer(ComboBox *comboBox)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:703</div></div>
<div class="ttc" id="classtgui_1_1ComboBox_html_a7ad91fc193903c07b9a9a387bef29546"><div class="ttname"><a href="classtgui_1_1ComboBox.html#a7ad91fc193903c07b9a9a387bef29546">tgui::ComboBox::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; ComboBox &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> ComboBox.hpp:55</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
